package com.sd.business.controller.board;

import com.sd.business.entity.board.dto.SkuSpecQuotationDto;
import com.sd.business.entity.board.vo.SkuSpecQuotationVo;
import com.sd.business.service.sku.SkuSpecService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * sku规格报价板 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-27
 */
@RestController
@RequestMapping("/skuSpecQuotationBoard")
public class SkuSpecQuotationBoard {

    @Autowired
    private SkuSpecService skuSpecService;

    /**
     * 获取sku报价数据列表
     * @return
     */
    @PostMapping("/getSkuSpecQuotationList")
    public List<SkuSpecQuotationVo> getSkuSpecQuotationList(@RequestBody SkuSpecQuotationDto dto) {
        return skuSpecService.getSkuSpecQuotationList(dto);
    }

    /**
     * 导出sku报价数据列表
     * @return
     */
    @PostMapping("/exportExcel")
    public void exportExcel(HttpServletResponse response, @RequestBody SkuSpecQuotationDto dto) {
        List<SkuSpecQuotationVo> skuSpecQuotationList = skuSpecService.getSkuSpecQuotationList(dto);
        ExcelUtil.export(response,"sku报价单", "sku报价单数据", skuSpecQuotationList, SkuSpecQuotationVo.class);
    }

}
