package com.sd.business.controller.board;

import com.sd.business.entity.board.dto.TurnoverRateBoardSelectDto;
import com.sd.business.entity.board.vo.TurnoverRateStatisticsVo;
import com.sd.business.service.order.OrderSalesShipmentStatisticsService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 周转率看板 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
@RestController
@RequestMapping("/turnoverRateBoard")
public class TurnoverRateBoardController {
    @Autowired
    private OrderSalesShipmentStatisticsService orderSalesShipmentStatisticsService;

    /**
     * 获取周转率数据列表
     * @return
     */
    @PostMapping("/getTurnoverRateStatisticsList")
    public List<TurnoverRateStatisticsVo> getTurnoverRateStatisticsList(@RequestBody TurnoverRateBoardSelectDto dto) {
        return orderSalesShipmentStatisticsService.getTurnoverRateStatisticsList(dto);
    }

    /**
     * 周转率导出
     * @return
     */
    @PostMapping("/exportExcel")
    public void exportExcel(HttpServletResponse response, @RequestBody TurnoverRateBoardSelectDto dto) {
        List<TurnoverRateStatisticsVo> list = orderSalesShipmentStatisticsService.getTurnoverRateStatisticsList(dto);
        ExcelUtil.export(response,"库存周转率", "库存周转率数据", list, TurnoverRateStatisticsVo.class);
    }

}
