package com.sd.business.controller.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.check.dto.CheckDto;
import com.sd.business.entity.check.dto.CheckSelectDto;
import com.sd.business.entity.check.vo.CheckImportDataVo;
import com.sd.business.entity.check.vo.CheckVo;
import com.sd.business.service.check.CheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 盘点 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/check")
public class CheckController {

    @Autowired
    private CheckService checkService;

    /**
     * 盘点分页
     */
    @PostMapping("/page")
    public Page<CheckVo> page(@RequestBody CheckSelectDto dto) {
        return checkService.getPage(dto);
    }

    /**
     * 盘点新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody CheckDto checkDto) {
        checkService.add(checkDto);
    }

    /**
     * 导入盘点数据
     */
    @PostMapping("/excelImport")
    public CheckImportDataVo excelImport(MultipartFile file) {
        return checkService.checkImportData(file);
    }

    /**
     * 库存导出
     */
    @PostMapping("/inventoryExportExcel")
    public void inventoryExportExcel(HttpServletResponse response, @RequestBody BaseSelectDto dto) {
        checkService.inventoryExportExcel(response, dto.getId());
    }

}
