package com.sd.business.controller.common;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.common.dto.CommonPackingBomDto;
import com.sd.business.entity.common.dto.CommonPackingBomSelectDto;
import com.sd.business.entity.common.vo.CommonPackingBomVo;
import com.sd.business.service.common.CommonPackingBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 常用包材组合 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-07
 */
@RestController
@RequestMapping("/commonPackingBom")
public class CommonPackingBomController {

    @Autowired
    private CommonPackingBomService commonPackingBomService;

    /**
     * 常用包材组合分页
     */
    @PostMapping("/page")
    public Page<CommonPackingBomVo> page(@RequestBody CommonPackingBomSelectDto dto) {
        return commonPackingBomService.getPage(dto);
    }

    /**
     * 常用包材组合新增
     */
    @PostMapping("/add")
    public void add(@RequestBody CommonPackingBomDto commonPackingBomDto) {
        commonPackingBomService.add(commonPackingBomDto);
    }

    /**
     * 常用包材组合编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody CommonPackingBomDto commonPackingBomDto) {
        commonPackingBomService.edit(commonPackingBomDto);
    }

    /**
     * 常用包材组合删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        commonPackingBomService.delete(dto.getId());
    }

}
