package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventoryFinishedSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedVo;
import com.sd.business.service.inventory.InventoryFinishedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 成品仓库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-10
 */
@RestController
@RequestMapping("/inventoryFinished")
public class InventoryFinishedController {

    @Autowired
    private InventoryFinishedService inventoryFinishedService;

    /**
     * 成品仓库分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedVo> page(@RequestBody InventoryFinishedSelectDto dto) {
        return inventoryFinishedService.getPage(dto);
    }

    /**
     * 成品仓库导出
     */
    @GetMapping("/excelExport")
    public void excelExport(InventoryFinishedSelectDto dto) {
        inventoryFinishedService.excelExport(dto);
    }

}
