package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedOrderVo;
import com.sd.business.service.inventory.InventoryFinishedOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 成品仓库订单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-11
 */
@RestController
@RequestMapping("/inventoryFinishedOrder")
public class InventoryFinishedOrderController {

    @Autowired
    private InventoryFinishedOrderService inventoryFinishedOrderService;

    /**
     * 成品仓库订单分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedOrderVo> page(@RequestBody InventoryFinishedOrderSelectDto dto) {
        return inventoryFinishedOrderService.getPage(dto);
    }

    /**
     * 成品仓库订单导出
     */
    @GetMapping("/excelExport")
    public void excelExport(InventoryFinishedOrderSelectDto dto) {
        inventoryFinishedOrderService.excelExport(dto);
    }

}
