package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.IssueBillSelectDto;
import com.sd.business.entity.order.dto.OrderEncasementDto;
import com.sd.business.entity.order.dto.OrderInfoDto;
import com.sd.business.entity.order.po.OrderEncasement;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.AssemblyDetailVo;
import com.sd.business.entity.order.vo.IssueBillVo;
import com.sd.business.entity.production.dto.MergeOrderDto;
import com.sd.business.service.order.IssueBillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/issueBill")
public class IssueBillController {

    @Autowired
    private IssueBillService issueBillService;

    /**
     * 打单分页
     */
    @PostMapping("/page")
    public Page<IssueBillVo> page(@RequestBody IssueBillSelectDto dto) {
        return issueBillService.getPage(dto);
    }

    /**
     * 编辑地址
     */
    @PostMapping("/editAddress")
    public void editAddress(@RequestBody OrderInfo orderInfo) {
        issueBillService.editAddress(orderInfo);
    }

    /**
     * 编辑快递信息
     */
    @PostMapping("/editExpressDeliveryId")
    public void editExpressDeliveryId(@RequestBody OrderInfo orderInfo) {
        issueBillService.editExpressDeliveryId(orderInfo);
    }

    /**
     * 编辑快递单号
     */
    @PostMapping("/editExpressDeliveryCode")
    public void editExpressDeliveryCode(@RequestBody OrderEncasement orderEncasement) {
        issueBillService.editExpressDeliveryCode(orderEncasement);
    }

    /**
     * 编辑包裹图片
     */
    @PostMapping("/editPackagePicture")
    public void editPackagePicture(@RequestBody OrderInfoDto dto) {
        issueBillService.editPackagePicture(dto);
    }

    /**
     * 合并订单
     */
    @PostMapping("/merge")
    public void merge(@Validated @RequestBody MergeOrderDto dto) {
        issueBillService.merge(dto);
    }

    /**
     * 取消合并
     */
    @PostMapping("/unmerge")
    public void unmerge(@RequestBody BaseSelectDto dto) {
        issueBillService.unmerge(dto.getId());
    }

    /**
     * 装箱明细
     */
    @PostMapping("/assemblyDetail")
    public AssemblyDetailVo assemblyDetail(@RequestBody BaseSelectDto dto) {
        return issueBillService.assemblyDetail(dto.getId());
    }

    /**
     * 删除包裹
     */
    @PostMapping("/deleteAllowance")
    public void deleteAllowance(@RequestBody BaseSelectDto dto) {
        issueBillService.deleteAllowance(dto.getId());
    }

    /**
     * 复制包裹
     */
    @PostMapping("/copyAllowance")
    public AssemblyDetailVo copyAllowance(@RequestBody OrderEncasementDto dto) {
        return issueBillService.copyAllowance(dto);
    }

    /**
     * 添加包裹
     */
    @PostMapping("/addAllowance")
    public AssemblyDetailVo addAllowance(@Validated @RequestBody OrderEncasementDto dto) {
        return issueBillService.addAllowance(dto);
    }

}
