package com.sd.business.controller.production;

import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.vo.OrderSkuVo;
import com.sd.business.entity.production.dto.ProductionExceedReceiveDto;
import com.sd.business.service.order.OrderSkuService;
import com.sd.business.service.production.ProductionOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 生产超领
 */
@RestController
@RequestMapping("/productionExceedReceive")
public class ProductionExceedReceiveController {

    @Autowired
    private ProductionOrderService productionOrderService;

    @Autowired
    private OrderSkuService orderSkuService;

    /**
     * 生产超领
     */
    @PostMapping("/exceedReceive")
    public void exceedReceive(@Validated @RequestBody ProductionExceedReceiveDto dto) {
        productionOrderService.exceedReceive(dto);
    }

    /**
     * 获取订单sku列表
     */
    @PostMapping("/getOrderSkuList")
    public List<OrderSkuVo> getOrderSkuList(@RequestBody BaseSelectDto dto) {
        return orderSkuService.getOrderSkuList(dto.getId());
    }

}
