package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.purchase.dto.PurchaseBomDetailsSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseBomDetailsVo;
import com.sd.business.entity.purchase.vo.PurchaseBomSelectVo;
import com.sd.business.service.purchase.PurchaseBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 采购合同 bom
 */
@RestController
@RequestMapping("/purchaseBom")
public class PurchaseBomController {
    @Autowired
    private PurchaseBomService purchaseBomService;

    /**
     * 采购入库 bom分页
     */
    @PostMapping("/page")
    public Page<PurchaseBomSelectVo> page(@RequestBody PurchaseBomSelectDto dto) {
        return purchaseBomService.getPage(dto);
    }

    /**
     * 采购合同 bom分页
     */
    @PostMapping("/purchaseDetailsPage")
    public Page<PurchaseBomDetailsVo> purchaseDetailsPage(@RequestBody PurchaseBomDetailsSelectDto dto) {
        return purchaseBomService.getDetailsPage(dto);
    }

}
