package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseArrivalImportDataDto;
import com.sd.business.entity.purchase.dto.PurchaseGiftImportDataDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageSelectDto;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;
import com.sd.business.service.purchase.PurchasePendingStorageService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 采购待入库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
@RestController
@RequestMapping("/purchasePendingStorage")
public class PurchasePendingStorageController {

    @Autowired
    private PurchasePendingStorageService purchasePendingStorageService;

    /**
     * 采购待入库分页
     */
    @PostMapping("/page")
    public Page<PurchasePendingStorageVo> page(@RequestBody PurchasePendingStorageSelectDto dto) {
        return purchasePendingStorageService.getPage(dto);
    }

    /**
     * 采购待入库明细
     */
    @PostMapping("/detail")
    public PurchasePendingStorageVo detail(@RequestBody BaseSelectDto dto) {
        return purchasePendingStorageService.detail(dto.getId());
    }

    /**
     * 采购待入库新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody PurchasePendingStorageDto dto) {
        purchasePendingStorageService.add(dto);
    }

    /**
     * 采购待入库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchasePendingStorageService.delete(dto.getId());
    }

    /**
     * 导入采购到货单
     */
    @PostMapping("/purchaseArrivalImport")
    public List<PurchasePendingStorageBomVo> purchaseArrivalImport(MultipartFile file) {
        List<PurchaseArrivalImportDataDto> list = ExcelUtil.read(file, PurchaseArrivalImportDataDto.class);
        return purchasePendingStorageService.purchaseArrivalImport(list);
    }

    /**
     * 导入采购赠品入库
     */
    @PostMapping("/purchaseGiftImport")
    public List<PurchasePendingStorageBomVo> purchaseGiftImport(MultipartFile file) {
        List<PurchaseGiftImportDataDto> list = ExcelUtil.read(file, PurchaseGiftImportDataDto.class);
        return purchasePendingStorageService.purchaseGiftImport(list);
    }

}
