package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.enums.FlowStatusEnum;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import com.sd.business.entity.purchase.vo.PurchaseReturnDetailVo;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;
import com.sd.business.service.purchase.PurchaseReturnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 采购退货 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
@RestController
@RequestMapping("/purchaseReturn")
public class PurchaseReturnController {
    @Autowired
    private PurchaseReturnService purchaseReturnService;

    /**
     * 采购退货分页
     */
    @PostMapping("/page")
    public Page<PurchaseReturnVo> page(@RequestBody PurchaseReturnSelectDto dto) {
        return purchaseReturnService.getPage(dto);
    }

    /**
     * 采购退货明细
     */
    @PostMapping("/detail")
    public PurchaseReturnDetailVo detail(@RequestBody BaseSelectDto dto) {
        return purchaseReturnService.detail(dto.getId());
    }

    /**
     * 采购退货新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchaseReturnDto purchaseReturnDto) {
        purchaseReturnDto.setFlowStatus(FlowStatusEnum.READY_START.getKey());
        purchaseReturnService.add(purchaseReturnDto);
    }

    /**
     * 采购退货编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchaseReturnDto purchaseReturnDto) {
        purchaseReturnService.edit(purchaseReturnDto);
    }


    /**
     * 采购合同bom列表
     */
    @PostMapping("/getPurchaseBomPage")
    public List<PurchaseReturnBomVo> getPurchaseBomPage(@RequestBody BaseSelectDto dto) {
        return purchaseReturnService.getPurchaseBomPage(dto.getId());
    }
}
