package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.sku.dto.SkuDefaultPackageDto;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSelectDto;
import com.sd.business.entity.sku.vo.SkuDefaultPackageVo;
import com.sd.business.service.sku.SkuDefaultPackageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * sku默认包材配置 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
@RestController
@RequestMapping("/skuDefaultPackage")
public class SkuDefaultPackageController {

    @Autowired
    private SkuDefaultPackageService skuDefaultPackageService;

    /**
     * sku默认包材配置分页
     */
    @PostMapping("/page")
    public Page<SkuDefaultPackageVo> page(@RequestBody SkuDefaultPackageSelectDto dto) {
        return skuDefaultPackageService.getPage(dto);
    }

    /**
     * sku默认包材配置明细
     */
    @PostMapping("/detail")
    public SkuDefaultPackageVo detail(@RequestBody BaseSelectDto dto) {
        return skuDefaultPackageService.detail(dto.getId());
    }

    /**
     * sku默认包材配置新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SkuDefaultPackageDto skuDefaultPackageDto) {
        skuDefaultPackageService.add(skuDefaultPackageDto);
    }

    /**
     * sku默认包材配置编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SkuDefaultPackageDto skuDefaultPackageDto) {
        skuDefaultPackageService.edit(skuDefaultPackageDto);
    }

    /**
     * sku默认包材配置删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuDefaultPackageService.delete(dto.getId());
    }

}
