package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.common.vo.CommonPackingBomDetailVo;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecDto;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecSelectDto;
import com.sd.business.entity.sku.vo.SkuDefaultPackageSpecVo;
import com.sd.business.service.sku.SkuDefaultPackageSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * sku包材配置规格 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
@RestController
@RequestMapping("/skuDefaultPackageSpec")
public class SkuDefaultPackageSpecController {

    @Autowired
    private SkuDefaultPackageSpecService skuDefaultPackageSpecService;

    /**
     * sku包材配置规格分页
     */
    @PostMapping("/page")
    public Page<SkuDefaultPackageSpecVo> page(@RequestBody SkuDefaultPackageSpecSelectDto dto) {
        return skuDefaultPackageSpecService.getPage(dto);
    }

    /**
     * sku包材配置规格明细
     */
    @PostMapping("/detail")
    public SkuDefaultPackageSpecVo detail(@RequestBody BaseSelectDto dto) {
        return skuDefaultPackageSpecService.detail(dto.getId());
    }

    /**
     * sku包材配置规格新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SkuDefaultPackageSpecDto skuDefaultPackageSpecDto) {
        skuDefaultPackageSpecService.add(skuDefaultPackageSpecDto);
    }

    /**
     * sku包材配置规格编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SkuDefaultPackageSpecDto skuDefaultPackageSpecDto) {
        skuDefaultPackageSpecService.edit(skuDefaultPackageSpecDto);
    }

    /**
     * sku包材配置规格删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuDefaultPackageSpecService.delete(dto.getId());
    }

    @PostMapping("/getPackList")
    public List<CommonPackingBomDetailVo> getPackLiLst(@RequestBody SkuDefaultPackageSpecSelectDto dto) {
        return skuDefaultPackageSpecService.getPackLiLst(dto);
    }

    @PostMapping("/refresh")
    public void refresh() {
        skuDefaultPackageSpecService.refresh();
    }


}
