package com.sd.business.entity.apply.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 申购单bom附件数据
 */
@Getter
@Setter
@HeadFontStyle(fontHeightInPoints = 12)
public class ApplyBuyBomAccessoryVo {

    /**
     * 品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "C5料号", index = 0)
    private String bomSpecCode;

    /**
     * 规格说明
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "规格说明", index = 1)
    private String specification;

    /**
     * 品名
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "品种说明", index = 2)
    private String bomSpecName;

    /**
     * 颜色
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "颜色说明", index = 3)
    private String colour;

    /**
     * 库存数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "体育库存", index = 4)
    private BigDecimal stockQuantity;

    /**
     * 在途数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "体育仓在途", index = 5)
    private BigDecimal inTransitQuantity;

    /**
     * 当月销售
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "当月销售", index = 6)
    private BigDecimal currentMonthSales;

    /**
     * 上个月销售
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "上个月销售", index = 7)
    private BigDecimal lastMonthSales;

    /**
     * 上上个月销售
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "上上个月销售", index = 8)
    private BigDecimal beforeLastMonthSales;

    /**
     * 月平均消耗
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "月平均消耗", index = 9)
    private BigDecimal averageMonthSales;

    /**
     * 实际销量可消耗天数
     */
    @ColumnWidth(18)
    @ExcelProperty(value = "实际销量可消耗天数", index = 10)
    private BigDecimal actualSalesDays;

    /**
     * 短缺数量合计
     */
    @ColumnWidth(18)
    @ExcelProperty(value = "短缺数量合计(实际销量）", index = 11)
    private BigDecimal shortageQuantity;

    /**
     * 申购数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "申购数量", index = 12)
    private BigDecimal applyBuyQuantity;

    /**
     * 周转率
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "周转率", index = 13)
    private BigDecimal turnoverRate;

    /**
     * 备注
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "备注", index = 14)
    private String remark;

    /**
     * 附注
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "附注", index = 15)
    private String annotation;
}
