package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sku规格报价板查询返回值实体
 *
 * @author
 * @since 2023-10-27
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
@HeadRowHeight(20)
@HeadFontStyle(fontHeightInPoints = 12)
public class SkuSpecQuotationVo {

    /**
     * id
     */
    private Long id;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * bom id
     */
    private Long bomSpecId;

    /**
     * 品牌
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "归属单位", index = 0)
    private String brand;

    /**
     * sku品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "SKU品号", index = 1)
    private String skuSpecCode;

    /**
     * sku品名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "SKU品名", index = 2)
    private String skuSpecName;

    /**
     * bom品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "bom品号", index = 3)
    private String bomSpecCode;

    /**
     * 颜色
     */
    @ColumnWidth(12)
    @ExcelProperty(value = "颜色", index = 4)
    private String colour;

    /**
     * 色层 字典:bom_chromatophore
     */
    @ColumnWidth(12)
    @ExcelProperty(value = "色层", index = 5)
    private String chromatophore;

    /**
     * sku 裸垫单价
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"SKU单价（含税）", "裸垫"}, index = 6)
    private BigDecimal skuSpecUnitPrice;

    /**
     * sku 激光logo单价
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"SKU单价（含税）", "激光logo"}, index = 7)
    private BigDecimal skuSpecUnitPriceLogo;

    /**
     * sku 激光体位线单价
     */
    @ColumnWidth(15)
    @ExcelProperty(value = {"SKU单价（含税）", "激光体位线"}, index = 8)
    private BigDecimal skuSpecUnitPriceLine;

    /**
     * bom 主材单价
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "主材"}, index = 9)
    private BigDecimal bomSpecUnitPrice;

    /**
     * 包材费
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "包材配件"}, index = 10)
    private BigDecimal packagingMaterialCost;

    /**
     * 激光logo价格
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "激光logo"}, index = 11)
    private BigDecimal logoProcessingFee;

    /**
     * 激光体位线价格
     */
    @ColumnWidth(15)
    @ExcelProperty(value = {"价格组成", "激光体位线"}, index = 12)
    private BigDecimal lineProcessingFee;

    /**
     * 代发费
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "代发"}, index = 13)
    private BigDecimal issueFee;

    /**
     * 快递包材费
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "快递包材"}, index = 14)
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "包装人工"}, index = 15)
    private BigDecimal packingLabor;

    /**
     * 管理费
     */
    @ColumnWidth(12)
    @ExcelProperty(value = {"价格组成", "管理"}, index = 16)
    private BigDecimal managementFee;
}
