package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;


/**
 * 周转率统计数据查询返回值实体
 *
 * @since 2023-10-20
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class TurnoverRateStatisticsVo {

    /**
     * 品号
     */
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * 品名
     */
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 宽
     */
    @ExcelProperty(value = "宽度", index = 2)
    private BigDecimal width;

    /**
     * 高
     */
    @ExcelProperty(value = "厚度", index = 3)
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    @ExcelProperty(value = "色层", index = 4)
    private String chromatophore;

    /**
     * 周转率
     */
    @ExcelProperty(value = "30天周转率", index = 5)
    private BigDecimal turnoverRateThirtyDays;

    /**
     * 30天销售量
     */
    @ExcelProperty(value = "30天销售量", index = 6)
    private BigDecimal salesQuantityThirtyDays;

    /**
     * 周转率
     */
    @ExcelProperty(value = "60天周转率", index = 7)
    private BigDecimal turnoverRateSixtyDays;

    /**
     * 60天销售量
     */
    @ExcelProperty(value = "60天销售量", index = 8)
    private BigDecimal salesQuantitySixtyDays;

    /**
     * 周转率
     */
    @ExcelProperty(value = "90天周转率", index = 9)
    private BigDecimal turnoverRateNinetyDays;

    /**
     * 90天销售量
     */
    @ExcelProperty(value = "90天销售量", index = 10)
    private BigDecimal salesQuantityNinetyDays;

    /**
     * 库存数量
     */
    @ExcelProperty(value = "库存数量", index = 11)
    private BigDecimal quantity;
}
