package com.sd.business.entity.check.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 盘点导入数据 实体
 *
 * @author
 * @since 2023-10-21
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class CheckImportDataDto {
    /**
     * 仓库名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "仓库")
    private String warehouseName;

    /**
     * 品名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "品名")
    private String bomSpecName;

    /**
     * 品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "品号")
    private String bomSpecCode;

    /**
     * 结存单价
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "结存单价")
    private BigDecimal balanceUnitPrice;


    /**
     * 数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "可用库存")
    private BigDecimal quantity;

    /**
     * 锁定库存
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "锁定库存")
    private BigDecimal lockQuantity;

    /**
     * 结存总价
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "结存总价")
    private BigDecimal totalPrice;

    /**
     * 总库存
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "总库存")
    private BigDecimal totalQuantity;

    /**
     * 实际库存
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "实际库存")
    private BigDecimal realityQuantity;
}
