package com.sd.business.entity.excel.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum ExcelTypeEnum {

    DOCUMENT_BY_ORDER(1, "订单对账单"),
    STATISTICS_DOCUMENT_BY_ORDER(2, "订单对账报表"),
    PURCHASE_WAREHOUSING(3, "采购入库明细"),
    SALES_OUT_WAREHOUSE_DETAILS(4, "销货出库明细"),
    DOCUMENT_BY_SALES_REVENUE_COST(5, "销售收入成本表"),
    ;

    private final Integer type;
    private final String explain;

    private static final Map<Integer, ExcelTypeEnum> map = new HashMap<>();

    static {
        for (ExcelTypeEnum excelTypeEnum : values()) {
            map.put(excelTypeEnum.getType(), excelTypeEnum);
        }
    }

    /**
     * 通过key获取名称
     */
    public static ExcelTypeEnum get(Integer key) {
        ExcelTypeEnum excelTypeEnum = map.get(key);
        if (excelTypeEnum == null) {
            throw new ServiceException("未知导出状态：" + key);
        }
        return excelTypeEnum;
    }

}
