package com.sd.business.entity.in.vo;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class PurchaseWarehousingVo {

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Integer serialNumber;

    /**
     * 入库时间
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "入库日期")
    private Date outboundTime;

    /**
     * 入库单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "入库单号")
    private String outboundCode;

    /**
     * 供应商名称
     */
    @ColumnWidth(30)
    @ExcelProperty(value = "供应商名称")
    private String supplierName;

    /**
     * 采购单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "采购合同编号")
    private String purchaseCode;

    /**
     * 品号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "物料品号")
    private String bomSpecCode;

    /**
     * 品名
     */
    @ColumnWidth(30)
    @ExcelProperty(value = "物料名称")
    private String bomSpecName;

    /**
     * 单位
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "计量单位")
    private String bomSpecUnit;

    /**
     * 入库类型
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "入库类型")
    private String incomingType;

    /**
     * 仓库名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "仓库类别")
    private String warehouseName;

    /**
     * 入库数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "入库数量")
    private BigDecimal outboundQuantity;

    /**
     * 含税单价
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "采购单价（含税）")
    private BigDecimal outboundUnitPrice;

    /**
     * 入库金额
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "入库金额")
    private BigDecimal total;

    public String getIncomingType() {
        return "采购入库";
    }

    public BigDecimal getOutboundUnitPrice() {
        return ObjectUtil.defaultIfNull(outboundUnitPrice, BigDecimal.ZERO);
    }

    public BigDecimal getTotal() {
        return outboundQuantity.multiply(getOutboundUnitPrice());
    }

}
