package com.sd.business.entity.inventory.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 库存
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("inventory")
public class Inventory extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 锁定库存
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "锁定库存", index = 5)
    private BigDecimal lockQuantity;

    /**
     * 数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "可用库存", index = 4)
    private BigDecimal quantity;

    /**
     * 结存单价
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "结存单价", index = 3)
    private BigDecimal balanceUnitPrice;

}
