package com.sd.business.entity.inventory.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 成品仓库订单
 * </p>
 *
 * @author
 * @since 2023-10-10
 */
@Getter
@Setter
@TableName("inventory_finished_order")
public class InventoryFinishedOrder extends BasePo {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 订单id
     */
    private Long orderInfoId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量", index = 3)
    private BigDecimal quantity;

    /**
     * 状态 1在库 0不在库
     */
    private Integer status;

}
