package com.sd.business.entity.inventory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.sd.business.entity.inventory.po.InventoryFinishedOrder;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 成品仓库订单列表查询返回值实体
 *
 * @author
 * @since 2023-10-10
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class InventoryFinishedOrderVo extends InventoryFinishedOrder {

    /**
     * sku规格品号
     */
    @ExcelProperty(value = "sku品号", index = 1)
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    @ExcelProperty(value = "sku品名", index = 2)
    private String skuSpecName;

    /**
     * 订单号
     */
    @ExcelProperty(value = "订单号", index = 4)
    private String orderCode;

    /**
     * 万里牛订单号
     */
    @ExcelProperty(value = "万里牛单号", index = 5)
    private String orderWlnCode;

    /**
     * 事业部名称
     */
    @ExcelProperty(value = "事业部", index = 6)
    private String departmentName;

    /**
     * 操作类型 1入库 2出库
     */
    private Integer operationType;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "时间", index = 7)
    private Date createTime;


    /**
     * 操作类型
     */
    @ExcelProperty(value = "状态", index = 8)
    private String operationTypeStr;

    /**
     * 单号
     */
    @ExcelProperty(value = "出入库单号", index = 0)
    private String code;

}
