package com.sd.business.entity.order.dto;

import com.sd.business.entity.order.po.OrderEncasement;
import com.sd.business.entity.order.po.OrderEncasementDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 订单装箱新增编辑入参实体
 *
 * @author
 * @since 2023-09-25
 */
@Getter
@Setter
public class OrderEncasementDto extends OrderEncasement {

    /**
     * 复制包裹数量
     */
    private Integer total;

    /**
     * 明细
     */
    @Valid
    @NotEmpty(message = "产品明细不能为空")
    private List<OrderEncasementDetail> orderEncasementDetailList;

}
