package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 订单装箱
 * </p>
 *
 * @author
 * @since 2023-09-25
 */
@Getter
@Setter
@TableName("order_encasement")
public class OrderEncasement extends BasePo {

    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    /**
     * 包裹编号
     */
    private Integer number;

    /**
     * 快递单号
     */
    private String trackingNumber;

    /**
     * 快递打印内容
     */
    private String trackingContent;

    /**
     * 长 cm
     */
    @NotNull(message = "长不能为空")
    private BigDecimal length;

    /**
     * 宽 cm
     */
    @NotNull(message = "宽不能为空")
    private BigDecimal width;

    /**
     * 高 cm
     */
    @NotNull(message = "高不能为空")
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

}
