package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 订单装箱明细
 * </p>
 *
 * @author
 * @since 2023-09-25
 */
@Getter
@Setter
@TableName("order_encasement_detail")
public class OrderEncasementDetail extends BasePo {

    /**
     * 订单装箱id
     */
    private Long orderEncasementId;

    /**
     * 订单产品id
     */
    @NotNull(message = "订单sku id不能为空")
    private Long orderSkuId;

    /**
     * sku规格id
     */
    @NotNull(message = "sku规格id不能为空")
    private Long skuSpecId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

}
