package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单sku
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Getter
@Setter
@TableName("order_sku")
public class OrderSku extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * sku id
     */
    @NotNull(message = "skuId不能为空")
    private Long skuId;

    /**
     * sku规格id
     */
    @NotNull(message = "sku规格Id不能为空")
    private Long skuSpecId;

    /**
     * sku规格id
     */
    @NotNull(message = "bom规格Id不能为空")
    private Long bomSpecId;

    /**
     * 图稿id
     */
    private Long artworkLibraryId;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 万里牛sys_goods_uid
     */
    private String wlnSkuId;

    /**
     * 万里牛sys_spec_uid
     */
    private String wlnSkuSpecId;

    /**
     * 万里牛 sku名称
     */
    private String wlnSkuName;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

    /**
     * 单价
     */
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;

    /**
     * 定制加工费
     */
    @NotNull(message = "定制加工费不能为空")
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    @NotNull(message = "代发费不能为空")
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    @NotNull(message = "快递包材费不能为空")
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    @NotNull(message = "包装人工费不能为空")
    private BigDecimal packingLabor;

    /**
     * 管理费
     */
    @NotNull(message = "管理费不能为空")
    private BigDecimal managementFee;

    /**
     * 包材费
     */
    @NotNull(message = "包材费不能为空")
    private BigDecimal packagingMaterialCost;

    /**
     * 定制加工类型
     */
    private String customProcessingType;

    /**
     * 打印 1单面 2 双面
     */
    @NotNull(message = "打印类型不能为空")
    private Integer printType;

    /**
     * 备料状态 0未备料 1已备料
     */
    private Integer stockPreparationStatus;

    /**
     * 备料时间
     */
    private Date stockPreparationTime;

    /**
     * 包装要求
     */
    private String packageRemark;

}
