package com.sd.business.entity.order.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class AssemblyDetailVo {

    /**
     * 产品清单
     */
    private List<SkuInfo> skuInfoList;

    /**
     * 包裹规格
     */
    private List<OrderEncasementVo> orderEncasementList;

    @Getter
    @Setter
    public static class SkuInfo {

        /**
         * 订单sku id
         */
        private Long orderSkuId;

        /**
         * bom规格id
         */
        private Long bomSpecId;

        /**
         * sku规格id
         */
        private Long skuSpecId;

        /**
         * sku规格编号
         */
        private String skuSpecCode;

        /**
         * sku规格名称
         */
        private String skuSpecName;

        /**
         * 总数量
         */
        private BigDecimal totalQuantity;

        /**
         * 剩余数量
         */
        private BigDecimal surplusQuantity;

    }

}
