package com.sd.business.entity.order.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.sd.business.entity.order.po.OrderExchangeDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单退换货明细列表查询返回值实体
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class OrderExchangeDetailVo extends OrderExchangeDetail {

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * sku规格品号
     */
    @ExcelProperty(value = "sku品号", index = 4)
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    @ExcelProperty(value = "sku品名", index = 5)
    private String skuSpecName;

    /**
     * 购买数量
     */
    private BigDecimal buyQuantity;

    /**
     * 退货金额
     */
    private BigDecimal returnAmount;

    /**
     * 部门名称
     */
    @ExcelProperty(value = "部门名称", index = 1)
    private String departmentName;

    /**
     * 订单号
     */
    @ExcelProperty(value = "订单号", index = 2)
    private String orderCode;

    /**
     * 万里牛订单号
     */
    @ExcelProperty(value = "订单万里牛单号", index = 3)
    private String orderWlnCode;

    /**
     * 单号
     */
    @ExcelProperty(value = "退货单号", index = 0)
    private String code;

    @ExcelProperty(value = "退货时间", index = 7)
    private Date createTime;

}
