package com.sd.business.entity.production.dto;

import com.sd.business.entity.order.dto.OrderSkuDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class ProductionExceedReceiveDto {
    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    /**
     * 超领原因 1-制作损坏，2-裸垫质量不良
     */
    @NotNull(message = "超领原因不能为空")
    private Integer exceedReceiveReason;

    /**
     * 订单sku超领明细
     */
    @NotEmpty(message = "订单sku超领明细列表不能为空")
    private List<OrderSkuDto> productionCostList;
}
