package com.sd.business.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 生产工单
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
@TableName("production_work_order")
public class ProductionWorkOrder extends BasePo {

    /**
     * 工单号
     */
    private String code;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单明细id
     */
    private Long orderSkuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 打印 1单面 2 双面
     */
    private Integer printType;

    /**
     * 加工面板 字典:charge_item
     */
    private String machinedPanel;

    /**
     * 状态 0待投产 1已扫描 2生产中 3生产完成 4生产异常 5重新排单
     */
    private Integer status;

    /**
     * 完成时间
     */
    private Date completeTime;

    /**
     * 类型 1单片 2批量
     */
    private Integer type;

    /**
     * 批量工单主id
     */
    private Long masterId;

}
