package com.sd.business.entity.purchase.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;
import java.util.HashMap;
import java.util.Map;

/**
 * 采购状态
 */
@Getter
@AllArgsConstructor
public enum PurchaseStatusEnum {
    DRAFT(0, "草稿"),
    UNDER_REVIEW(10, "审批中"),
    UNDER_PURCHASE(20, "采购中"),
    HAVE_PURCHASE(30, "已采购"),
    REJECT(40, "驳回"),
    CANCELLATION(50, "已作废"),
    TERMINATION(60, "已终止"),
    ;

    private static final Map<Integer, PurchaseStatusEnum> map = new HashMap<>();

    static {
        for (PurchaseStatusEnum purchaseStatusEnum : values()) {
            map.put(purchaseStatusEnum.getKey(), purchaseStatusEnum);
        }
    }

    private final Integer key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static PurchaseStatusEnum getEnum(Integer key) {
        PurchaseStatusEnum purchaseStatusEnum = map.get(key);
        if (purchaseStatusEnum == null) {
            throw new ServiceException("未知采购状态：" + key);
        }
        return purchaseStatusEnum;
    }

}
