package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 采购待入库 bom
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
@TableName("purchase_pending_storage_bom")
public class PurchasePendingStorageBom extends BasePo {

    /**
     * 采购待入库id
     */
    private Long purchasePendingStorageId;

    /**
     * 采购合同id
     */
    @NotNull(message = "采购合同id不能为空")
    private Long purchaseId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 到货数量
     */
    @NotNull(message = "到货数量不能为空")
    @DecimalMin(value = "0.01", message = "到货数量必须大于0")
    private BigDecimal arrivalQuantity;
}
