package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购退货
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
@Getter
@Setter
@TableName("purchase_return")
public class PurchaseReturn extends BasePo {

    /**
     * 退货单号
     */
    private String code;

    /**
     * 退货金额
     */
    private BigDecimal returnAmount;

    /**
     * 退货备注
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废
     */
    private Integer flowStatus;
}