package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购退货bom列表查询返回值实体
 *
 * @author
 * @since 2023-09-27
 */
@Getter
@Setter
public class PurchaseReturnBomVo extends PurchaseReturnBom {

    /**
     * 采购合同单号
     */
    private String purchaseCode;

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 含税单价
     */
    private BigDecimal unitPrice;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 可退货数量
     */
    private BigDecimal canReturnQuantity;

    /**
     * 已退货数量
     */
    private BigDecimal finishReturnQuantity;

    /**
     * 可入库数量
     */
    private BigDecimal canInStorageQuantity;
}
