package com.sd.business.entity.statement.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 对账单
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
@Getter
@Setter
@TableName("statement_of_account")
public class StatementOfAccount extends BasePo {

    /**
     * 对账单号
     */
    private String code;

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 对账时间
     */
    private Date timePeriod;

    /**
     * 类型 1用户自建 2系统生成
     */
    private Integer type;

    /**
     * 核对状态 1 已核对，0 未核对
     */
    private Integer checkStatus;

}
