package com.sd.business.entity.statement.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 收入成本列表查询返回值实体
 *
 * @author
 * @since 2023-10-11
 */
@Getter
@Setter
@Builder
@ExcelIgnoreUnannotated
@HeadRowHeight(35)
@HeadFontStyle(fontHeightInPoints = 10)
public class DocumentByRevenueCostVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 对账单id
     */
    private Long statementOfAccountId;

    /**
     * 序号
     */
    @ExcelProperty({"销售收入成本表", "序号"})
    private Integer serialNumber;

    /**
     * 发货时间
     */
    @ColumnWidth(20)
    @ExcelProperty({"销售收入成本表", "销售日期"})
    private Date salesDate;

    /**
     * 客户编号
     */
    @ExcelProperty({"销售收入成本表", "客户编号"})
    private String customerCode;

    /**
     * 客户名称
     */
    @ExcelProperty({"销售收入成本表", "客户名称"})
    private String customerName;

    /**
     * 事业部名称
     */
    @ExcelProperty({"销售收入成本表", "事业部"})
    private String departmentName;

    /**
     * 销售订单号
     */
    @ColumnWidth(20)
    @ExcelProperty({"销售收入成本表", "销售订单号"})
    private String code;

    /**
     * 万里牛单号
     */
    @ColumnWidth(20)
    @ExcelProperty({"销售收入成本表", "万里牛单号"})
    private String wlnCode;

    /**
     * 出库单号
     */
    @ExcelProperty({"销售收入成本表", "出库单号"})
    private String outStorageCode;

    /**
     * sku规格品号
     */
    @ExcelProperty({"销售收入成本表", "成品品号"})
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    @ExcelProperty({"销售收入成本表", "成品名称"})
    private String skuSpecName;

    /**
     * 规格
     */
    @ExcelProperty({"销售收入成本表", "规格"})
    private String spec;

    /**
     * 成品类别
     */
    @ExcelProperty({"销售收入成本表", "成品类别"})
    private String classifyName;

    /**
     * 计量单位
     */
    @ExcelProperty({"销售收入成本表", "计量单位"})
    private String measuringUnit;

    /**
     * 销售数量
     */
    @ExcelProperty({"销售收入成本表", "销售数量"})
    private BigDecimal quantity;

    /**
     * 销售单价
     */
    @ExcelProperty({"销售收入成本表", "销售单价"})
    private BigDecimal salesUnitPrice;

    /**
     * 销售金额
     */
    @ExcelProperty({"销售收入成本表", "销售金额"})
    private BigDecimal salesAmount;

    /**
     * 产品金额
     */
    @ExcelProperty({"销售收入成本表", "其中：产品金额"})
    private BigDecimal productAmount;

    /**
     * 代发金额
     */
    @ExcelProperty({"销售收入成本表", "其中：代发金额"})
    private BigDecimal issuingAmount;

    /**
     * 其他金额（包装人工费）
     */
    @ExcelProperty({"销售收入成本表", "其中：其他金额"})
    private BigDecimal otherAmount;

    /**
     * 材料成本
     */
    @ExcelProperty({"销售收入成本表", "材料成本"})
    private BigDecimal materialCost;

    /**
     * 辅料成本
     */
    @ExcelProperty({"销售收入成本表", "辅料成本"})
    private BigDecimal auxiliaryMaterialCost;

    /**
     * 产品包材成本
     */
    @ExcelProperty({"销售收入成本表", "产品包材成本"})
    private BigDecimal productPackagingMaterialCost;

    /**
     * 物流包材成本
     */
    @ExcelProperty({"销售收入成本表", "物流包材成本"})
    private BigDecimal logisticsPackagingMaterialCost;

    /**
     * 成本小计
     */
    @ExcelProperty({"销售收入成本表", "成本小计"})
    private BigDecimal costSubtotal;

    /**
     * 毛利
     */
    @ExcelProperty({"销售收入成本表", "毛利"})
    private BigDecimal grossProfit;

    /**
     * 毛利率
     */
    @ExcelProperty({"销售收入成本表", "毛利率"})
    private String grossProfitRate;
}
