package com.sd.business.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionOrderScheduleVo;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 生产工单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionWorkOrderMapper extends BaseMapper<ProductionWorkOrder> {

    /**
     * 生产工单分页
     */
    Page<ProductionWorkOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionWorkOrder> wrapper);

    /**
     * 生产进度
     */
    List<ProductionOrderScheduleVo> getProductionOrderScheduleList(@Param("ew") IWrapper<Object> wrapper);

}
