package com.sd.business.service.board;

import com.sd.business.entity.board.dto.DailyBoardSelectDto;
import com.sd.business.entity.board.vo.*;

import java.util.List;

/**
 * <p>
 * 每日看板 服务类
 * </p>
 *
 * @author
 * @since 2023-09-21
 */
public interface DailyBoardService {
    /**
     * 获取MES今日生产出库数据列表
     *
     * @return
     */
    List<DailyBoardOutStorageBomVo> getProductionOutStorageList(DailyBoardSelectDto dto);

    /**
     * MES&万里牛今日订单和BOM差异 （不含自建订单）
     *
     * @return
     */
    List<OrderBomDifferenceVo> getOrderBomDifferenceList(DailyBoardSelectDto dto);

    /**
     * 获取万里牛今日销售出库数据
     * @return
     */
    WlnSalesOutStorageVo getWlnSalesOutStorageInfo(DailyBoardSelectDto dto);

    /**
     * MES今日生产订单数据（不含自建订单）
     * @return
     */
    MesProductionOutStorageVo getMesProductionOutStorageInfo(DailyBoardSelectDto dto);

    /**
     * 自建订单数据
     * @return
     */
    SelfOrderOutStorageVo getSelfOrderOutStorageInfo(DailyBoardSelectDto dto);

    /**
     * 核对对账单
     * @param dto
     */
    void checkStatementOfAccount(DailyBoardSelectDto dto);
}
