package com.sd.business.service.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.check.dto.CheckDto;
import com.sd.business.entity.check.dto.CheckSelectDto;
import com.sd.business.entity.check.po.Check;
import com.sd.business.entity.check.vo.CheckImportDataVo;
import com.sd.business.entity.check.vo.CheckVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;


/**
 * <p>
 * 盘点 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface CheckService extends BaseService<Check> {

    /**
     * 盘点分页
     */
    Page<CheckVo> getPage(CheckSelectDto dto);

    /**
     * 盘点新增
     */
    void add(CheckDto checkDto);

    /**
     * 盘点导入数据
     *
     * @param file
     */
    CheckImportDataVo checkImportData(MultipartFile file);

    /**
     * 库存导出
     *
     * @param response
     * @param warehouseId
     */
    void inventoryExportExcel(HttpServletResponse response, Long warehouseId);
}
