package com.sd.business.service.check.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.check.dto.CheckBomSelectDto;
import com.sd.business.entity.check.po.Check;
import com.sd.business.entity.check.po.CheckBom;
import com.sd.business.entity.check.vo.CheckBomVo;
import com.sd.business.entity.warehouse.po.Warehouse;
import com.sd.business.mapper.check.CheckBomMapper;
import com.sd.business.service.check.CheckBomService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 盘点bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Service
public class CheckBomServiceImpl extends ServiceImpl<CheckBomMapper, CheckBom> implements CheckBomService {

    @Override
    public Page<CheckBomVo> getPage(CheckBomSelectDto dto) {
        IWrapper<CheckBom> wrapper = getWrapper();
        wrapper.orderByDesc("cb", CheckBom::getId);
        wrapper.like("c", Check::getCode, dto.getCode());
        wrapper.like("bs", BomSpec::getCode, dto.getBomSpecCode());
        wrapper.like("bs", BomSpec::getName, dto.getBomSpecName());
        wrapper.eq("c", Check::getDepartmentId, dto.getDepartmentId());
        wrapper.eq("w", Warehouse::getId, dto.getWarehouseId());
        wrapper.eq("cb", CheckBom::getStatus, dto.getStatus());
        wrapper.ge("c", Check::getCreateTime, dto.getBeginTime());
        wrapper.le("c", Check::getCreateTime, dto.getEndTime());

        Page<CheckBomVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
