package com.sd.business.service.excel;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.excel.dto.ExcelGenerateLogDto;
import com.sd.business.entity.excel.dto.ExcelGenerateLogSelectDto;
import com.sd.business.entity.excel.enums.ExcelTypeEnum;
import com.sd.business.entity.excel.po.ExcelGenerateLog;
import com.sd.business.entity.excel.vo.ExcelGenerateLogVo;
import com.sd.business.strategy.ExcelExportStrategy;


/**
 * <p>
 * excel生成记录 服务类
 * </p>
 *
 * @author
 * @since 2023-09-21
 */
public interface ExcelGenerateLogService extends BaseService<ExcelGenerateLog> {

    /**
     * excel生成记录分页
     */
    Page<ExcelGenerateLogVo> getPage(ExcelGenerateLogSelectDto dto);

    /**
     * excel生成记录明细
     */
    ExcelGenerateLogVo detail(Long id);

    /**
     * excel生成记录新增
     */
    void add(ExcelGenerateLogDto excelGenerateLogDto);

    /**
     * excel生成记录编辑
     */
    void edit(ExcelGenerateLogDto excelGenerateLogDto);

    /**
     * excel生成记录删除
     */
    void delete(Long id);

    <T> Long generateExcel(ExcelTypeEnum excelTypeEnum, ExcelExportStrategy<T> exportStrategy, String fileName);

}
