package com.sd.business.service.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.in.dto.InOutStorageBomDto;
import com.sd.business.entity.in.dto.InOutStorageBomSelectDto;
import com.sd.business.entity.in.po.InOutStorageBom;
import com.sd.business.entity.in.vo.InOutStorageBomVo;


/**
 * <p>
 * 出入库bom 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface InOutStorageBomService extends BaseService<InOutStorageBom> {

    /**
     * 出入库bom分页
     */
    Page<InOutStorageBomVo> getPage(InOutStorageBomSelectDto dto);

    /**
     * 出入库bom明细
     */
    InOutStorageBomVo detail(Long id);

    /**
     * 出入库bom新增
     */
    void add(InOutStorageBomDto inOutStorageBomDto);

    /**
     * 出入库bom编辑
     */
    void edit(InOutStorageBomDto inOutStorageBomDto);

    /**
     * 出入库bom删除
     */
    void delete(Long id);

    /**
     * 出入库bom导出
     * @param dto
     */
    void exportExcel(InOutStorageBomSelectDto dto);
}
