package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.dto.IssueBillSelectDto;
import com.sd.business.entity.order.dto.OrderEncasementDto;
import com.sd.business.entity.order.dto.OrderInfoDto;
import com.sd.business.entity.order.po.OrderEncasement;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.AssemblyDetailVo;
import com.sd.business.entity.order.vo.IssueBillVo;
import com.sd.business.entity.production.dto.MergeOrderDto;

public interface IssueBillService {

    /**
     * 打单分页
     */
    Page<IssueBillVo> getPage(IssueBillSelectDto dto);

    /**
     * 编辑地址
     */
    void editAddress(OrderInfo orderInfo);

    /**
     * 编辑快递信息
     */
    void editExpressDeliveryId(OrderInfo orderInfo);

    /**
     * 编辑快递单号
     */
    void editExpressDeliveryCode(OrderEncasement orderEncasement);

    /**
     * 编辑包裹图片
     */
    void editPackagePicture(OrderInfoDto dto);

    /**
     * 合并订单
     */
    void merge(MergeOrderDto dto);

    /**
     * 取消合并
     */
    void unmerge(Long id);

    /**
     * 装箱明细
     */
    AssemblyDetailVo assemblyDetail(Long orderId);

    /**
     * 删除包裹
     */
    void deleteAllowance(Long id);

    /**
     * 复制包裹
     */
    AssemblyDetailVo copyAllowance(OrderEncasementDto dto);

    /**
     * 添加包裹
     */
    AssemblyDetailVo addAllowance(OrderEncasementDto dto);

}
