package com.sd.business.service.order;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.board.dto.TurnoverRateBoardSelectDto;
import com.sd.business.entity.board.vo.TurnoverRateStatisticsVo;
import com.sd.business.entity.order.dto.OrderSalesShipmentStatisticsDto;
import com.sd.business.entity.order.po.OrderSalesShipmentStatistics;
import com.sd.business.entity.order.vo.OrderSalesShipmentStatisticsVo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 订单销售出库统计 服务类
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
public interface OrderSalesShipmentStatisticsService extends BaseService<OrderSalesShipmentStatistics> {

    /**
     * 根据时间段获取销售出库数量统计
     * @param dto
     * @return
     */
    List<OrderSalesShipmentStatisticsVo> getSalesShipmentStatisticsByDate(OrderSalesShipmentStatisticsDto dto);

    /**
     * 获取周转率数据列表
     *
     * @return
     */
    List<TurnoverRateStatisticsVo> getTurnoverRateStatisticsList(TurnoverRateBoardSelectDto dto);

    /**
     * 销售出库统计任务
     */
    void salesShipmentStatistics();

    /**
     * 获取周转率数据列表
     *
     * @return
     */
    Map<Long, BigDecimal> getTurnoverRateMapByBomSpecIds(List<Long> bomSpecIds);
}
