package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderSkuSelectDto;
import com.sd.business.entity.order.po.OrderSku;
import com.sd.business.entity.order.vo.OrderSkuVo;

import java.util.List;


/**
 * <p>
 * 订单sku 服务类
 * </p>
 *
 * @author
 * @since 2023-07-06
 */
public interface OrderSkuService extends BaseService<OrderSku> {

    /**
     * 订单sku分页
     */
    Page<OrderSkuVo> getPage(OrderSkuSelectDto dto);

    /**
     * 获取万里牛单号
     */
    String getOrderWlnCodeStr(OrderSkuSelectDto dto);

    /**
     * 获取订单sku列表
     * @param orderId
     * @return
     */
    List<OrderSkuVo> getOrderSkuList(Long orderId);
}
