package com.sd.business.service.order.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.dto.OrderExchangeDetailSelectDto;
import com.sd.business.entity.order.po.OrderExchange;
import com.sd.business.entity.order.po.OrderExchangeDetail;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.OrderExchangeDetailVo;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.mapper.order.OrderExchangeDetailMapper;
import com.sd.business.service.order.OrderExchangeDetailService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * <p>
 * 订单退换货明细 服务实现类
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
@Service
public class OrderExchangeDetailServiceImpl extends ServiceImpl<OrderExchangeDetailMapper, OrderExchangeDetail> implements OrderExchangeDetailService {

    @Autowired
    private HttpServletResponse response;

    @Override
    public Page<OrderExchangeDetailVo> getPage(OrderExchangeDetailSelectDto dto) {

        IWrapper<Object> wrapper = IWrapper.getWrapper();
        wrapper.eq("oe", OrderExchange::getType, dto.getType());
        wrapper.eq("oe", OrderExchange::getCode, dto.getCode());
        wrapper.eq("ss", SkuSpec::getCode, dto.getSkuSpecCode());
        wrapper.eq("ss", SkuSpec::getName, dto.getSkuSpecName());
        wrapper.eq("oi", OrderInfo::getDepartmentId, dto.getDepartmentId());
        wrapper.eq("oi", OrderInfo::getCode, dto.getOrderCode());
        wrapper.eq("oi", OrderInfo::getWlnCode, dto.getOrderWlnCode());
        wrapper.ge("oe", OrderExchange::getCreateTime, dto.getBeginTime());
        wrapper.le("oe", OrderExchange::getCreateTime, dto.getEndTime());

        return baseMapper.getPage(dto.getPage(), wrapper);
    }

    @Override
    public void excelExport(OrderExchangeDetailSelectDto dto) {
        dto.setPageNum(1);
        dto.setPageSize(999999999);
        Page<OrderExchangeDetailVo> page = getPage(dto);
        List<OrderExchangeDetailVo> records = page.getRecords();

        ExcelUtil.export(response, records, OrderExchangeDetailVo.class);

    }

}
