package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseReturnDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnSelectDto;
import com.sd.business.entity.purchase.po.PurchaseReturn;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import com.sd.business.entity.purchase.vo.PurchaseReturnDetailVo;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;

import java.util.List;

/**
 * <p>
 * 采购退货 服务类
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
public interface PurchaseReturnService extends BaseService<PurchaseReturn> {
    /**
     * 采购退货分页
     * @param dto
     * @return
     */
    Page<PurchaseReturnVo> getPage(PurchaseReturnSelectDto dto);

    /**
     * 采购退货新增
     * @param purchaseReturnDto
     */
    void add(PurchaseReturnDto purchaseReturnDto);

    /**
     * 采购退货编辑
     * @param purchaseReturnDto
     */
    void edit(PurchaseReturnDto purchaseReturnDto);

    /**
     * 采购退货详情
     * @param id
     * @return
     */
    PurchaseReturnDetailVo detail(Long id);

    /**
     * 采购合同bom列表
     *
     * @param purchaseId
     * @return
     */
    List<PurchaseReturnBomVo> getPurchaseBomPage(Long purchaseId);

    /**
     * 出库采购退货
     * @param id
     */
    void outPurchaseReturn(Long id);
}
