package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.common.vo.CommonPackingBomDetailVo;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecDto;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecSelectDto;
import com.sd.business.entity.sku.po.SkuDefaultPackageSpec;
import com.sd.business.entity.sku.vo.SkuDefaultPackageSpecVo;

import java.util.List;


/**
 * <p>
 * sku包材配置规格 服务类
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
public interface SkuDefaultPackageSpecService extends BaseService<SkuDefaultPackageSpec> {

    /**
     * sku包材配置规格分页
     */
    Page<SkuDefaultPackageSpecVo> getPage(SkuDefaultPackageSpecSelectDto dto);

    /**
     * sku包材配置规格明细
     */
    SkuDefaultPackageSpecVo detail(Long id);

    /**
     * sku包材配置规格新增
     */
    void add(SkuDefaultPackageSpecDto skuDefaultPackageSpecDto);

    /**
     * sku包材配置规格编辑
     */
    void edit(SkuDefaultPackageSpecDto skuDefaultPackageSpecDto);

    /**
     * sku包材配置规格删除
     */
    void delete(Long id);

    List<CommonPackingBomDetailVo> getPackLiLst(SkuDefaultPackageSpecSelectDto dto);

    void refresh();

}
