package com.sd.business.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.statement.dto.*;
import com.sd.business.entity.statement.vo.*;

import java.util.List;

/**
 * <p>
 * 对账单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
public interface StatementOfAccountMergeService {

    /**
     * 对账报表分页
     */
    Page<StatementOfAccountMergePageVo> getPage(StatementOfAccountMergePageDto dto);

    /**
     * sku对账
     */
    List<DocumentBySkuVo> getDocumentBySku(GetDocumentDto dto);

    /**
     * bom对账
     */
    List<DocumentByBomVo> getDocumentByBom(GetDocumentDto dto);

    /**
     * 订单对账
     */
    List<DocumentByOrderVo> getDocumentByOrder(GetDocumentDto dto);

    /**
     * 导出
     *
     * @param dto  导出参数
     * @param type 1sku 2bom 3订单
     */
    void export(ExportDocumentDto dto, int type);

    /**
     * 销售出货明细
     */
    Page<DocumentByOrderVo> salesOutWarehouseDetails(SalesOutWarehouseDetailsDto dto);

    /**
     * 导出销售出货明细
     */
    void exportSalesOutWarehouseDetails(SalesOutWarehouseDetailsDto dto);

    /**
     * 查询销售收入成本分页
     * @param dto
     * @return
     */
    Page<DocumentByRevenueCostVo> salesRevenueCostPage(SalesRevenueCostSelectDto dto);

    /**
     * 导出销售收入成本数据
     * @param dto
     */
    void exportSalesRevenueCostData(SalesRevenueCostSelectDto dto);
}
