package com.sd.business.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.statement.dto.FileUploadDto;
import com.sd.business.entity.statement.dto.StatementOfAccountDto;
import com.sd.business.entity.statement.dto.StatementOfAccountSelectDto;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.entity.statement.vo.*;

import java.util.List;


/**
 * <p>
 * 对账单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
public interface StatementOfAccountService extends BaseService<StatementOfAccount> {

    /**
     * 对账单分页
     */
    Page<StatementOfAccountVo> getPage(StatementOfAccountSelectDto dto);

    /**
     * 对账单明细
     */
    List<ReconciliationDetailVo> detail(Long id);

    /**
     * 对账单新增
     */
    void add(StatementOfAccountDto statementOfAccountDto);

    /**
     * 对账单编辑
     */
    void edit(StatementOfAccountDto statementOfAccountDto);

    /**
     * 对账单删除
     */
    void delete(Long id);

    /**
     * 更新文件
     */
    void editFile(FileUploadDto dto, int type);

    /**
     * sku对账
     */
    List<DocumentBySkuVo> getSkuDocument(List<Long> statementOfAccountId, Integer orderClassify);

    /**
     * bom对账
     */
    List<DocumentByBomVo> getBomDocument(List<Long> statementOfAccountId, Integer orderClassify);

    /**
     * 订单对账
     */
    List<DocumentByOrderVo> getOrderDocument(List<Long> statementOfAccountId, Integer orderClassify);

    /**
     * 订单对账
     */
    List<DocumentByOrderVo> getOrderDocumentByOrderList(List<OrderInfo> orderList);

    /**
     * 导出
     *
     * @param id            对账单id
     * @param orderClassify 订单分类
     * @param type          1sku 2bom 3订单
     */
    void export(Long id, Integer orderClassify, int type);

    /**
     * 获取万里牛单号
     */
    String getOrderWlnCodeStr(List<Long> idList);

    /**
     * 获取对账单订单分类总计
     * @param idList
     * @return
     */
    StatementOrderClassifyTotalCountVo getOrderClassifyTotalCount(List<Long> idList);

    /**
     * 获取未签核的数量
     * @return
     */
    Long getNotCheckCount();
}
