package com.sd.mq.util;

import cn.hutool.core.util.IdUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.sd.mq.entity.BaseMessage;
import org.springframework.amqp.rabbit.core.RabbitTemplate;

public class RabbitMqUtil {

    private static final RabbitTemplate rabbitTemplate = SpringUtil.getBean(RabbitTemplate.class);

    /**
     * 发送消息
     */
    public static void send(String exchange, String routingKey, BaseMessage message) {
        if (message.getMessageId() == null) {
            message.setMessageId(IdUtil.getSnowflake().nextId());
        }
        rabbitTemplate.convertAndSend(exchange, routingKey, message);
    }

}
